curl --request GET \
--url https://api.{environment}.corti.app/v2/interactions/{id}/transcripts/{transcriptId} \
--header 'Authorization: Bearer <token>' \
--header 'Tenant-Name: <tenant-name>'import { CortiClient, CortiEnvironment } from "@corti/sdk";
const client = new CortiClient({
environment: CortiEnvironment.Eu,
auth: {
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET"
},
tenantName: "YOUR_TENANT_NAME"
});
await client.transcripts.get("f47ac10b-58cc-4372-a567-0e02b2c3d479", "f47ac10b-58cc-4372-a567-0e02b2c3d479");
using Corti;
var client = new CortiClient(
"TENANT_NAME",
CortiClientEnvironment.Eu,
new CortiClientAuth.ClientCredentials("client_id", "client_secret")
);
await client.Transcripts.GetAsync(
"f47ac10b-58cc-4372-a567-0e02b2c3d479",
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
);
import requests
url = "https://api.{environment}.corti.app/v2/interactions/{id}/transcripts/{transcriptId}"
headers = {
"Tenant-Name": "<tenant-name>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.{environment}.corti.app/v2/interactions/{id}/transcripts/{transcriptId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Tenant-Name: <tenant-name>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.{environment}.corti.app/v2/interactions/{id}/transcripts/{transcriptId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Tenant-Name", "<tenant-name>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.{environment}.corti.app/v2/interactions/{id}/transcripts/{transcriptId}")
.header("Tenant-Name", "<tenant-name>")
.header("Authorization", "Bearer <token>")
.asString();{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"metadata": {
"participantsRoles": [
{
"channel": 1,
"role": "<string>"
}
]
},
"transcripts": [
{
"channel": 123,
"participant": 123,
"speakerId": 123,
"text": "<string>",
"start": 123,
"end": 123
}
],
"usageInfo": {
"creditsConsumed": 123
},
"recordingId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"status": "completed"
}{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}Get Transcript
Retrieve a transcript from a specific interaction.
GET /interactions/{id}/transcripts/) to see all transcriptIds available for the interaction.The client can poll this Get Transcript endpoint (
GET /interactions/{id}/transcripts/{transcriptId}/status) for transcript status changes:-
200 OK with status processing, completed, or failed-
404 Not Found if the interactionId or transcriptId are invalidStatus of
completed indicates the transcript is finalized. If the transcript is retrieved while status is processing, then it will be incomplete.Authorizations
Input your token
Headers
Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.
"base"
Path Parameters
The unique identifier of the interaction. Must be a valid UUID.
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
The unique identifier of the transcript. Must be a valid UUID.
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Response
The unique identifier of the transcript.
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Additional information about the participants involved in the transcript.
Show child attributes
Show child attributes
An array of transcripts.
Show child attributes
Show child attributes
Credits consumed for this request.
Show child attributes
Show child attributes
The unique identifier for the associated recording.
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
The current status of the transcript processing.
completed, processing, failed Was this page helpful?